import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';

@Injectable()
export class TokenServiceMock {
    public authorizationChanged: Observable<boolean>;
    private authorizationChangeSource = new Subject<boolean>();
    constructor() {
        //console.log('token service ctor');
        this.authorizationChanged = this.authorizationChangeSource.asObservable();
    }

    get authorization(): string {
        return 'test mockup authorization';
    }
}
